> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/screen/screen.setsecure.md).

# Screen.setSecure

> 함수형 API `setSecureScreen`으로도 같은 기능을 쓸 수 있어요.

### 기능 설명

화면 캡쳐를 차단해서 민감한 정보가 유출되지 않도록 보호하거나, 필요할 때 캡쳐를 허용해요.

`enabled`가 `true`이면 캡쳐를 차단하고, `false`이면 허용해요.

### 타입

```ts
Screen.setSecure(options: SetSecureScreenOptions): Promise<{ enabled: boolean }>;
```

**Params**

```ts
interface SetSecureScreenOptions {
  enabled: boolean;
}
```

**Response**

적용된 상태를 `{ enabled: boolean }` 형태로 반환해요.

### 예시 코드

```js
import { Screen } from "@apps-in-toss/web-framework";

const secureButton = document.querySelector("#secure-button");

secureButton.addEventListener("click", async () => {
  const result = await Screen.setSecure({ enabled: true });
  console.log(result.enabled); // true
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/screen/screen.setsecure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
